#
# spec file for package xfsprogs
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xfsprogs
BuildRequires:  e2fsprogs-devel
Version:        3.1.6
Release:        1
%if 0%{?suse_version} >= 1010
# hint for ZYPP
Supplements:    filesystem(xfs)
%endif
AutoReqProv:    on
Group:          System/Filesystems
License:        GPLv2+
Url:            http://oss.sgi.com/projects/xfs/
Summary:        Utilities for managing the XFS file system
Source0:        xfsprogs-%{version}.tar.gz
Patch0:         xfsprogs-docdir.diff
Patch1:         xfsprogs-ppc64.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A set of commands to use the XFS file system, including mkfs.xfs.

XFS is a high performance journaling file system which originated on
the SGI IRIX platform.	It is completely multithreaded. It can support
large files and large file systems, extended attributes, and variable
block sizes.It is extent based and makes extensive use of Btrees
(directories, extents, and free space) to aid both performance and
scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/ for
complete details.  This implementation is on-disk compatible with the
IRIX version of XFS.



Authors:
--------
    SGI

%package      devel
Requires:       xfsprogs = %version
AutoReqProv:    on
Group:          Development/Libraries/C and C++
License:        GPLv2+
Url:            http://oss.sgi.com/projects/xfs/
Summary:        XFS Filesystem-specific Static Libraries and Headers

%description devel
xfsprogs-devel contains the libraries and header files needed to
develop XFS file system-specific programs.

You should install xfsprogs-devel if you want to develop XFS file
system-specific programs.  If you install xfsprogs-devel, you will also
want to install xfsprogs.



Authors:
--------
    SGI

%prep
%setup -q
%patch0
%patch1

%build
export OPTIMIZER="-fPIC"
export DEBUG=-DNDEBUG
export LIBUUID=/usr/%{_lib}/libuuid.a
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=%{_prefix} \
	--libdir=/%{_libdir} \
	--libexecdir=/usr/%{_lib} \
	--includedir=%{_includedir} \
	--mandir=%{_mandir} \
	--datadir=%{_datadir}
make %{?jobs:-j %jobs}

%install
export DIST_ROOT="$RPM_BUILD_ROOT"
/usr/bin/make install
/usr/bin/make install-dev
# remove devel stuff from /lib
rm $RPM_BUILD_ROOT/%_lib/libhandle.{so,a,la}
rm $RPM_BUILD_ROOT/%_libdir/libhandle.so
pushd $RPM_BUILD_ROOT%_libdir
	ls ../../%_lib/libhandle.so.[0-9]
	ln -s ../../%_lib/libhandle.so.[0-9] libhandle.so
popd
chmod 755 $RPM_BUILD_ROOT/sbin/fsck.xfs
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root,755)
/sbin/*
/usr/sbin/*
# this is only used by xfs cmds, therefore no urgent need for a shlib package
/%_lib/libhandle.so.*
%doc /usr/share/man/man[58]/*
%doc %_defaultdocdir/%name

%files devel
%defattr(-,root,root,755)
/usr/include/xfs
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
/usr/share/man/man3/*

%changelog
